
 LinHES - Bug # 408: Packages to enable LinHES to send mail through a password protected email 
accnt

Status: Closed Priority: Normal
Author: alien Category:
Created: 06/22/2009 Assignee: jams
Updated: 03/27/2010 Due date:
Description: Can the following packages please be added to LinHES:

postfix procmail

I believe that these two will allow me to set up email (ex. cron output or email status messages) via a 
password protected pop/smtp email account.

I think this is all I need.  Will need to try to find out.

Thanks!

Allen

Associated revisions
03/27/2010 09:28 am - jams
runit-scripts: add postfix run file

ref #408 , # 464

03/27/2010 09:31 am - jams
postfix:  initial include

ref #464
closes #408

History
06/22/2009 09:50 am - jams
Instead of installing a full blown MTA I beleive the plan was to use something like.
http://caspian.dotconf.net/menu/Software/SendEmail/
There are some others we were looking at, but cant find the names at the moment.

http://putmail.sourceforge.net/home.html
sSMTP

06/22/2009 11:31 am - alien
Yes, I used sendemail for a while.  However, it doesn't integrate into the system and provide a sendmail.  I switched to postfix some months ago and am 
much happier with it.  The main advantage is that emails that the system attempts to send (ex. cron, vi recoveries, etc.) are delivered.

It isn't necessarily full blow MTA.  It simply sends email through an SMTP account (like sendemail).  However, it also provides a sendmail executable.  
I'm sure one could write a sendmail script that calls sendemail, but there is no need because postfix does that.

I provided instructions to set it up in r5.5 here: http://knoppmyth.net/phpBB2/viewtopic.php?t=19552&highlight=postfix

06/25/2009 04:48 am - alien
I just figured out how to build packages.  It turns out it is easier than I thought.
Let me try and set it up before we decide to add it or not.

06/28/2009 10:31 am - alien
Okay.  I built the packages and internal mail worked out of the box. External mail only required adding a few lines to the config file.

If helpful, I can provide the config file changes so only the account information needs to be filled in.  Internal mail will still work and external mail will 
work as soon as this information is entered.

I'd like to see the following feature/program added to R6:
procmail, postfix

I think the addition of feature/program would be beneficial because:
1. It allows internal mail to be sent in the box.  Specifically useful for system mail notifications (cron failures, editor crashes, etc.).
2. It allows external mail to easily be configured via an external smtp account.

Feature/program X can be found at(please provide a link):
pacman

Program X has the following dependencies and can be found(please provide a link):
None.

07/07/2009 03:16 am - alien
I'm not sure if this is useful, but the following config changes will set it up so all it needs is the account information to send mail:

1.  Add the following to /etc/runinit/1.local:

<code>/etc/rc.d/postfix start</code>

2.  Add the following to the bottom of /etc/postfix/main.cf:

<code>## SASL Settings
smtp_sasl_auth_enable = yes
smtp_sasl_password_maps = hash:/myth/security/sasl_passwd
smtp_sasl_security_options = noanonymous
smtp_sasl_tls_security_options = noanonymous
smtp_tls_loglevel = 1
smtp_tls_security_level = may
tls_random_source = dev:/dev/urandom
disable_dns_lookups = yes
inet_interfaces = all

# Enabling email delivery through a smtp account:
#
# 1. Edit /myth/security/sasl_passwd (create the dir if necessary)
#    with the following contents:
#        <smtpServer>:587 YourUserID@domain:YourPassWord
#    For example:
#        smtp.gmain.com:587 sillyme@gmail.com:myPassword
#
# 2. Create a password hash file:
#      cd /myth/security
#      sudo sasl_passwd
#      sudo chown root:root sasl_passwd*
#      sudo chmod go-rwx sasl_passwd*
# 
# 3. Set the relayhost below to point to the smtp server.  For
#    example:
#      relayhost = smtp.gmail.com:587
relayhost = <smtpServer>:587</code>

03/27/2010 08:37 am - jams
- Assignee set to jams

- Target version set to 6.03.00

bare postfix added.
Removed mysql,ldap,pg support

03/27/2010 08:37 am - jams
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:"cc6d7a2f110044660e797cc073b5c17124faa77d".
